Subject: Re: (i18n 35) Re: japanese xopen locale with general charnames

From: Donn Terry <[email-masked]>
Date: Sat, 08 Dec 90 11:59:49 MST

>[From "(i18n 32) japanese xopen locale with general charnames" dated Dec  6]
>> I have modified the xopen japanese locale to use names in the form of <j1234>
>> giving the decimal row and columns of X0208. Also I changed the date formats
>> to follow ISO rules (yyyy-mm-dd instead of yyyy/mm/dd). here it is:

>Keld,

>I'd welcome some rationale for what might otherwise be seen as
>gratuitous editorial changes.  Why did you do these things?

>My suggestions:

>1. Character names: changed to facilitate future international
>   harmonization of national profiles.  (Just a guess -- I'd really like
>   to know why you consider the new form to be preferable.)

I havn't looked at it closely, but I'm not sure either about whether
this was the right thing to do.  This, remember, is a *national* profile,
not ISO's opinion of what some profile should be.

>2. Date format: Note that the changes do not affect the external date
>   representation defined by d_fmt: only the format of dates within the
>   X/Open era extension definition has been changed.  Assuming that
>   this or a similar extension is adopted by WG15, it is reasonable
>   that the dates should be represented in a format compatible with ISO
>   8601.  Indeed, taking this further, one could argue that the 8601
>   representation of a period of time, where a solidus (slash)
>   separates the beginning and ending dates should be used.  (Thus,
>   1989-01-08:1989-12-31 would become 1989-01-08/1989-12-31.)

I know that if this was a U.S. national profile, and you had changed
mm/dd/yy to dd/mm/yy, I'd be having fits right now.  (Even though
I happen to agree that the dd/mm/yy format is saner, usage has to dominate.)
Is the usage in the Japanese profile Japanese useage?  I don't know.

Donn